#ifndef AutoWebSes_H
#define AutoWebSes_H

#include <apps.h>
#include <func.h>
#include <websessions.h>
#include <trace.c>

#define EVENT_NPN_CHANGE 0x82042

/*    .      */
typedef struct
{ 
    APPLICATION_T           apt; /*   ,   */
	
    /*      */
    /* ... */

} APP_HELLOWORLD_T;

/*   */
typedef enum
{
    HW_STATE_ANY, /* ANY-state   */

    HW_STATE_MAIN,

    HW_STATE_MAX /*   */
} HW_STATES_T;



UINT32 Register( char* file_uri,  char* param,  UINT32 reserve );

UINT32 startApp( EVENT_STACK_T *ev_st,  REG_ID_T reg_id,  UINT32 param2 );
UINT32 destroyApp( EVENT_STACK_T *ev_st,  void *app );

UINT32 MainStateEnter( EVENT_STACK_T *ev_st,  void *app,  ENTER_STATE_TYPE_T type );

UINT32 HandleKeypress( EVENT_STACK_T *ev_st,  void *app );
//UINT32 HandleKeyrelease( EVENT_STACK_T *ev_st,  void *app );

UINT32 HandleNetworkStatus( EVENT_STACK_T *ev_st,  void *app );

UINT32 Timer( EVENT_STACK_T *ev_st,  void *app );


#endif